import ParseEngine
import MyGrammar
import SrcLoc
import Grammar
import List


main = parse myGrammar "examples/ex1.txt"

 
parse grammar file = let
	toStream line = (SrcLoc 1 1, line)
	parser = makeGrammarParser grammar
	p stream = parser stream
	splitted text = map toStream (lines text)
	in do
		text <- readFile file
		putStrLn ("File processed: " ++ file)
		putStrLn ""
	
		putStrLn ("Result of parsing:")
		parsed <- return (map p (splitted text))
		putStrLn (show parsed)



